Skip to main content
GET
/
gst
/
compliance
/
tax-payer
/
ledgers
/
itc
ITC Ledger
curl --request GET \
  --url https://api.sandbox.co.in/gst/compliance/tax-payer/ledgers/itc \
  --header 'authorization: <authorization>' \
  --header 'x-api-key: <x-api-key>'
import requests

url = "https://api.sandbox.co.in/gst/compliance/tax-payer/ledgers/itc"

headers = {
"authorization": "<authorization>",
"x-api-key": "<x-api-key>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {authorization: '<authorization>', 'x-api-key': '<x-api-key>'}
};

fetch('https://api.sandbox.co.in/gst/compliance/tax-payer/ledgers/itc', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "code": 200,
  "data": {
    "data": {
      "itcLdgDtls": {
        "cl_bal": {
          "cessTaxBal": 0,
          "cgstTaxBal": 6161,
          "desc": "Closing Balance",
          "igstTaxBal": 40376,
          "sgstTaxBal": 6161,
          "tot_rng_bal": 52698
        },
        "fr_dt": "01/01/2023",
        "gstin": "29AAACQ3770E000",
        "op_bal": {
          "cessTaxBal": 0,
          "cgstTaxBal": 0,
          "desc": "Opening Balance",
          "igstTaxBal": 0,
          "sgstTaxBal": 0,
          "tot_rng_bal": 0
        },
        "to_dt": "01/01/2024",
        "tr": [
          {
            "cessTaxAmt": 0,
            "cessTaxBal": 0,
            "cgstTaxAmt": 21150,
            "cgstTaxBal": 21150,
            "desc": "ITC accrued through - Inputs",
            "dt": "19/01/2023",
            "igstTaxAmt": 279760,
            "igstTaxBal": 279760,
            "ref_no": "AB241222611372T",
            "ret_period": "122022",
            "sgstTaxAmt": 21150,
            "sgstTaxBal": 21150,
            "tot_rng_bal": 322060,
            "tot_tr_amt": 322060,
            "tr_typ": "Cr"
          },
          {
            "cessTaxAmt": 0,
            "cessTaxBal": 0,
            "cgstTaxAmt": 21150,
            "cgstTaxBal": 0,
            "desc": "Other than reverse charge",
            "dt": "19/01/2023",
            "igstTaxAmt": 279760,
            "igstTaxBal": 0,
            "ref_no": "DI2401230352830",
            "ret_period": "122022",
            "sgstTaxAmt": 21150,
            "sgstTaxBal": 0,
            "tot_rng_bal": 0,
            "tot_tr_amt": 322060,
            "tr_typ": "Dr"
          },
          {
            "cessTaxAmt": 0,
            "cessTaxBal": 0,
            "cgstTaxAmt": 4586,
            "cgstTaxBal": 4586,
            "desc": "ITC accrued through - Inputs",
            "dt": "21/02/2023",
            "igstTaxAmt": 220257,
            "igstTaxBal": 220257,
            "ref_no": "AB240123483550I",
            "ret_period": "012023",
            "sgstTaxAmt": 4586,
            "sgstTaxBal": 4586,
            "tot_rng_bal": 229429,
            "tot_tr_amt": 229429,
            "tr_typ": "Cr"
          },
          {
            "cessTaxAmt": 0,
            "cessTaxBal": 0,
            "cgstTaxAmt": 4586,
            "cgstTaxBal": 0,
            "desc": "Other than reverse charge",
            "dt": "21/02/2023",
            "igstTaxAmt": 220257,
            "igstTaxBal": 0,
            "ref_no": "DI2402230412202",
            "ret_period": "012023",
            "sgstTaxAmt": 4586,
            "sgstTaxBal": 0,
            "tot_rng_bal": 0,
            "tot_tr_amt": 229429,
            "tr_typ": "Dr"
          },
          {
            "cessTaxAmt": 0,
            "cessTaxBal": 0,
            "cgstTaxAmt": 4224,
            "cgstTaxBal": 4224,
            "desc": "ITC accrued through - Inputs",
            "dt": "20/03/2023",
            "igstTaxAmt": 185142,
            "igstTaxBal": 185142,
            "ref_no": "AB240223349643C",
            "ret_period": "022023",
            "sgstTaxAmt": 4224,
            "sgstTaxBal": 4224,
            "tot_rng_bal": 193590,
            "tot_tr_amt": 193590,
            "tr_typ": "Cr"
          },
          {
            "cessTaxAmt": 0,
            "cessTaxBal": 0,
            "cgstTaxAmt": 4224,
            "cgstTaxBal": 0,
            "desc": "Other than reverse charge",
            "dt": "20/03/2023",
            "igstTaxAmt": 185142,
            "igstTaxBal": 0,
            "ref_no": "DI2403230337205",
            "ret_period": "022023",
            "sgstTaxAmt": 4224,
            "sgstTaxBal": 0,
            "tot_rng_bal": 0,
            "tot_tr_amt": 193590,
            "tr_typ": "Dr"
          },
          {
            "cessTaxAmt": 0,
            "cessTaxBal": 0,
            "cgstTaxAmt": 4626,
            "cgstTaxBal": 4626,
            "desc": "ITC accrued through - Inputs",
            "dt": "21/04/2023",
            "igstTaxAmt": 194395,
            "igstTaxBal": 194395,
            "ref_no": "AB240323888367U",
            "ret_period": "032023",
            "sgstTaxAmt": 4626,
            "sgstTaxBal": 4626,
            "tot_rng_bal": 203647,
            "tot_tr_amt": 203647,
            "tr_typ": "Cr"
          },
          {
            "cessTaxAmt": 0,
            "cessTaxBal": 0,
            "cgstTaxAmt": 4626,
            "cgstTaxBal": 0,
            "desc": "Other than reverse charge",
            "dt": "21/04/2023",
            "igstTaxAmt": 194395,
            "igstTaxBal": 0,
            "ref_no": "DI2404230541619",
            "ret_period": "032023",
            "sgstTaxAmt": 4626,
            "sgstTaxBal": 0,
            "tot_rng_bal": 0,
            "tot_tr_amt": 203647,
            "tr_typ": "Dr"
          },
          {
            "cessTaxAmt": 0,
            "cessTaxBal": 0,
            "cgstTaxAmt": 10186,
            "cgstTaxBal": 10186,
            "desc": "ITC accrued through - Inputs",
            "dt": "19/05/2023",
            "igstTaxAmt": 145676,
            "igstTaxBal": 145676,
            "ref_no": "AB240423268369Y",
            "ret_period": "042023",
            "sgstTaxAmt": 10186,
            "sgstTaxBal": 10186,
            "tot_rng_bal": 166048,
            "tot_tr_amt": 166048,
            "tr_typ": "Cr"
          },
          {
            "cessTaxAmt": 0,
            "cessTaxBal": 0,
            "cgstTaxAmt": 0,
            "cgstTaxBal": 10186,
            "desc": "Other than reverse charge",
            "dt": "19/05/2023",
            "igstTaxAmt": 107278,
            "igstTaxBal": 38398,
            "ref_no": "DI2405230279921",
            "ret_period": "042023",
            "sgstTaxAmt": 0,
            "sgstTaxBal": 10186,
            "tot_rng_bal": 58770,
            "tot_tr_amt": 107278,
            "tr_typ": "Dr"
          },
          {
            "cessTaxAmt": 0,
            "cessTaxBal": 0,
            "cgstTaxAmt": 3789,
            "cgstTaxBal": 13975,
            "desc": "ITC accrued through - Inputs",
            "dt": "20/06/2023",
            "igstTaxAmt": 75088,
            "igstTaxBal": 113486,
            "ref_no": "AB240523404683E",
            "ret_period": "052023",
            "sgstTaxAmt": 3789,
            "sgstTaxBal": 13975,
            "tot_rng_bal": 141436,
            "tot_tr_amt": 82666,
            "tr_typ": "Cr"
          },
          {
            "cessTaxAmt": 0,
            "cessTaxBal": 0,
            "cgstTaxAmt": 0,
            "cgstTaxBal": 13975,
            "desc": "Other than reverse charge",
            "dt": "20/06/2023",
            "igstTaxAmt": 38902,
            "igstTaxBal": 74584,
            "ref_no": "DI2406230318105",
            "ret_period": "052023",
            "sgstTaxAmt": 0,
            "sgstTaxBal": 13975,
            "tot_rng_bal": 102534,
            "tot_tr_amt": 38902,
            "tr_typ": "Dr"
          },
          {
            "cessTaxAmt": 0,
            "cessTaxBal": 0,
            "cgstTaxAmt": 10612,
            "cgstTaxBal": 24587,
            "desc": "ITC accrued through - Inputs",
            "dt": "20/07/2023",
            "igstTaxAmt": 62424,
            "igstTaxBal": 137008,
            "ref_no": "AB240623763835V",
            "ret_period": "062023",
            "sgstTaxAmt": 10612,
            "sgstTaxBal": 24587,
            "tot_rng_bal": 186182,
            "tot_tr_amt": 83648,
            "tr_typ": "Cr"
          },
          {
            "cessTaxAmt": 0,
            "cessTaxBal": 0,
            "cgstTaxAmt": 24587,
            "cgstTaxBal": 0,
            "desc": "Other than reverse charge",
            "dt": "20/07/2023",
            "igstTaxAmt": 137008,
            "igstTaxBal": 0,
            "ref_no": "DI2407230436575",
            "ret_period": "062023",
            "sgstTaxAmt": 24587,
            "sgstTaxBal": 0,
            "tot_rng_bal": 0,
            "tot_tr_amt": 186182,
            "tr_typ": "Dr"
          },
          {
            "cessTaxAmt": 0,
            "cessTaxBal": 0,
            "cgstTaxAmt": 107060,
            "cgstTaxBal": 107060,
            "desc": "ITC accrued through - Inputs",
            "dt": "19/08/2023",
            "igstTaxAmt": 274929,
            "igstTaxBal": 274929,
            "ref_no": "AB240723332901D",
            "ret_period": "072023",
            "sgstTaxAmt": 107060,
            "sgstTaxBal": 107060,
            "tot_rng_bal": 489049,
            "tot_tr_amt": 489049,
            "tr_typ": "Cr"
          },
          {
            "cessTaxAmt": 0,
            "cessTaxBal": 0,
            "cgstTaxAmt": 107060,
            "cgstTaxBal": 0,
            "desc": "Other than reverse charge",
            "dt": "19/08/2023",
            "igstTaxAmt": 274929,
            "igstTaxBal": 0,
            "ref_no": "DI2408230327783",
            "ret_period": "072023",
            "sgstTaxAmt": 107060,
            "sgstTaxBal": 0,
            "tot_rng_bal": 0,
            "tot_tr_amt": 489049,
            "tr_typ": "Dr"
          },
          {
            "cessTaxAmt": 0,
            "cessTaxBal": 0,
            "cgstTaxAmt": 12160,
            "cgstTaxBal": 12160,
            "desc": "ITC accrued through - Inputs",
            "dt": "20/09/2023",
            "igstTaxAmt": 75109,
            "igstTaxBal": 75109,
            "ref_no": "AB240823420839X",
            "ret_period": "082023",
            "sgstTaxAmt": 12160,
            "sgstTaxBal": 12160,
            "tot_rng_bal": 99429,
            "tot_tr_amt": 99429,
            "tr_typ": "Cr"
          },
          {
            "cessTaxAmt": 0,
            "cessTaxBal": 0,
            "cgstTaxAmt": 12160,
            "cgstTaxBal": 0,
            "desc": "Other than reverse charge",
            "dt": "20/09/2023",
            "igstTaxAmt": 75109,
            "igstTaxBal": 0,
            "ref_no": "DI2409230367302",
            "ret_period": "082023",
            "sgstTaxAmt": 12160,
            "sgstTaxBal": 0,
            "tot_rng_bal": 0,
            "tot_tr_amt": 99429,
            "tr_typ": "Dr"
          },
          {
            "cessTaxAmt": 0,
            "cessTaxBal": 0,
            "cgstTaxAmt": 11574,
            "cgstTaxBal": 11574,
            "desc": "ITC accrued through - Inputs",
            "dt": "20/10/2023",
            "igstTaxAmt": 60039,
            "igstTaxBal": 60039,
            "ref_no": "AB2409239233157",
            "ret_period": "092023",
            "sgstTaxAmt": 11574,
            "sgstTaxBal": 11574,
            "tot_rng_bal": 83187,
            "tot_tr_amt": 83187,
            "tr_typ": "Cr"
          },
          {
            "cessTaxAmt": 0,
            "cessTaxBal": 0,
            "cgstTaxAmt": 11574,
            "cgstTaxBal": 0,
            "desc": "Other than reverse charge",
            "dt": "20/10/2023",
            "igstTaxAmt": 60039,
            "igstTaxBal": 0,
            "ref_no": "DI2410230565591",
            "ret_period": "092023",
            "sgstTaxAmt": 11574,
            "sgstTaxBal": 0,
            "tot_rng_bal": 0,
            "tot_tr_amt": 83187,
            "tr_typ": "Dr"
          },
          {
            "cessTaxAmt": 0,
            "cessTaxBal": 0,
            "cgstTaxAmt": 3135,
            "cgstTaxBal": 3135,
            "desc": "ITC accrued through - Inputs",
            "dt": "20/11/2023",
            "igstTaxAmt": 107711,
            "igstTaxBal": 107711,
            "ref_no": "AB241023235025W",
            "ret_period": "102023",
            "sgstTaxAmt": 3135,
            "sgstTaxBal": 3135,
            "tot_rng_bal": 113981,
            "tot_tr_amt": 113981,
            "tr_typ": "Cr"
          },
          {
            "cessTaxAmt": 0,
            "cessTaxBal": 0,
            "cgstTaxAmt": 0,
            "cgstTaxBal": 3135,
            "desc": "Other than reverse charge",
            "dt": "20/11/2023",
            "igstTaxAmt": 54790,
            "igstTaxBal": 52921,
            "ref_no": "DI2411230247247",
            "ret_period": "102023",
            "sgstTaxAmt": 0,
            "sgstTaxBal": 3135,
            "tot_rng_bal": 59191,
            "tot_tr_amt": 54790,
            "tr_typ": "Dr"
          },
          {
            "cessTaxAmt": 0,
            "cessTaxBal": 0,
            "cgstTaxAmt": 3026,
            "cgstTaxBal": 6161,
            "desc": "ITC accrued through - Inputs",
            "dt": "18/12/2023",
            "igstTaxAmt": 9179,
            "igstTaxBal": 62100,
            "ref_no": "AB241123065466C",
            "ret_period": "112023",
            "sgstTaxAmt": 3026,
            "sgstTaxBal": 6161,
            "tot_rng_bal": 74422,
            "tot_tr_amt": 15231,
            "tr_typ": "Cr"
          },
          {
            "cessTaxAmt": 0,
            "cessTaxBal": 0,
            "cgstTaxAmt": 0,
            "cgstTaxBal": 6161,
            "desc": "Other than reverse charge",
            "dt": "18/12/2023",
            "igstTaxAmt": 21724,
            "igstTaxBal": 40376,
            "ref_no": "DI2412230154798",
            "ret_period": "112023",
            "sgstTaxAmt": 0,
            "sgstTaxBal": 6161,
            "tot_rng_bal": 52698,
            "tot_tr_amt": 21724,
            "tr_typ": "Dr"
          }
        ]
      },
      "provCrdBalList": {
        "provCrdBal": []
      }
    },
    "status_cd": "1"
  },
  "timestamp": 1763446641000,
  "transaction_id": "4b2f229e-b771-4011-9290-a1d715fa80ec"
}

Response body schema

View response body schema

Headers

authorization
string
required

GST taxpayer access token. For token-generation steps, refer to the Generate Taxpayer Session recipe, then pass the token in the authorization header.

x-api-key
string
required

API key for identification

x-api-version
string
default:1.0.0

API version

Query Parameters

to
string
required

required To Date (DD/MM/YYYY)

Example:

"01/01/2024"

from
string
required

From Date (DD/MM/YYYY)

Example:

"01/01/2023"

Response

200 - application/json

200 Success

code
number
Example:

200

data
object
timestamp
number
Example:

1763446641000

transaction_id
string
Example:

"4b2f229e-b771-4011-9290-a1d715fa80ec"